BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0

%define builddir build-mysql-jdbc
%define distdir dist-mysql-jdbc

Name: mysql-connector-java
Epoch: 1
Version: 5.0.8
Release: alt1_1jpp1.7
Summary: Official JDBC driver for MySQL

Group: Development/Java
License: GPL
URL: http://dev.mysql.com/downloads/connector/j/5.0.html
Source0: %{name}-%{version}.tar.gz
Patch0: mysql-connector-java-build_xml.patch

%if ! %{gcj_support}
BuildArch: noarch
%endif

BuildRequires: ant >= 0:1.6.0
BuildRequires: ant-contrib
BuildRequires: jakarta-commons-logging
BuildRequires: jaxp >= 1.3
BuildRequires: jboss4-common
BuildRequires: jboss4-connector
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: jta >= 0:1.0.1
BuildRequires: junit
BuildRequires: log4j
Requires: jta >= 0:1.0.1
Requires: log4j
Provides: mm.mysql
Obsoletes: mm.mysql
%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description
MySQL Connector/J is a native Java driver that converts JDBC (Java Database
Connectivity) calls into the network protocol used by the MySQL database.
It lets developers working with the Java programming language easily build
programs and applets that interact with MySQL and connect all corporate
data, even in a heterogeneous environment. MySQL Connector/J is a Type
IV JDBC driver and has a complete JDBC feature set that supports the
capabilities of MySQL.

%package javadoc
Summary: Javadoc for %{name}
Group: Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -b .sav
# remove all binary libs
find . \( -name "*.jar" -o -name "*.class" \) | xargs -t %{__rm} -f

%build
# jboss jars needed for test suite
export CLASSPATH="$(build-classpath ant-contrib \
    jakarta-commons-logging jboss4/jboss-common-jdbc-wrapper jdbc-stdext jta \
    junit log4j xml-commons-jaxp-1.3-apis)"
ant -DbuildDir="%{builddir}" -DdistDir="%{distdir}" dist javadoc

%install
%{__install} -d -m 755 ${RPM_BUILD_ROOT}%{_javadir}
%{__install} -m 644 %{builddir}/%{name}-%{version}/%{name}-%{version}-bin.jar \
    ${RPM_BUILD_ROOT}%{_javadir}/%{name}-%{version}.jar
(
    cd ${RPM_BUILD_ROOT}%{_javadir} && \
    for jar in *-%{version}*.jar; do
        %{__ln_s} -f ${jar} `echo $jar | %{__sed} "s|-%{version}||g"`
    done
)
%{__rm} -rf ${RPM_BUILD_DIR}%{name}-%{version}/docs/release-test-output

# javadoc
%{__install} -d -m 755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr build-mysql-jdbc/javadoc/* \
    ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}

%if %{gcj_support}
    export CLASSPATH="$(build-classpath gnu-crypto)"
    %{_bindir}/aot-compile-rpm
%endif

%post javadoc
%{__rm} -f %{_javadocdir}/%{name}
%{__ln_s} %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]; then
    %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]; then
    %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%doc CHANGES COPYING EXCEPTIONS-CONNECTOR-J README README.txt docs
%attr(0644,root,root) %{_javadir}/*.jar
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc
%ghost %doc %{_javadocdir}/%{name}
%doc %{_javadocdir}/%{name}-%{version}

%changelog
* Wed Jan 16 2008 Igor Vlasenko <viy@altlinux.ru> 1:5.0.8-alt1_1jpp1.7
- converted from JPackage by jppimport script

